Bug 730434 - use slapi_rwlock instead of NSPR PR_RWLock directly
Summary: use slapi_rwlock instead of NSPR PR_RWLock directly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: slapi-nis
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Alexander Bokovoy
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On: 730387 730394 743979
Blocks: 730403 756082
TreeView+ depends on / blocked
 
Reported: 2011-08-12 22:26 UTC by Dmitri Pal
Modified: 2012-06-20 13:36 UTC (History)
4 users (show)

Fixed In Version: slapi-nis-0.37-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 730394
Environment:
Last Closed: 2012-06-20 13:36:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0821 normal SHIPPED_LIVE slapi-nis bug fix and enhancement update 2012-06-19 19:51:13 UTC

Description Dmitri Pal 2011-08-12 22:26:59 UTC
+++ This bug was initially created as a clone of Bug #730394 +++

NSPR RW locks are not re-entrant.  This causes problems in certain cases.  389 is going to refactor it's code to provide and use slapi_rwlock instead of using the PRRW locks directly.  All plugins should use slapi_rwlock instead of calling NSPR directly.

Comment 1 Dmitri Pal 2011-08-12 22:35:41 UTC
This bug is going to track the switch to the real API while https://bugzilla.redhat.com/show_bug.cgi?id=730403 is for the interim solution.

Comment 7 Jenny Galipeau 2012-05-04 12:09:28 UTC
verified ::

# nm -D schemacompat-plugin.so | grep slapi
         U slapi_attr_types_equivalent
         U slapi_be_exist
         U slapi_ch_array_free
         U slapi_ch_free
         U slapi_destroy_rwlock
         U slapi_dn_plus_rdn
         U slapi_entry2str
         U slapi_entry_add_rdn_values
         U slapi_entry_add_string
         U slapi_entry_alloc
         U slapi_entry_attr_get_charray
         U slapi_entry_dup
         U slapi_entry_free
         U slapi_entry_get_dn
         U slapi_entry_get_ndn
         U slapi_entry_get_sdn
         U slapi_entry_merge_values_sv
         U slapi_entry_rdn_values_present
         U slapi_entry_schema_check
         U slapi_entry_set_sdn
         U slapi_filter_dup
         U slapi_filter_free
         U slapi_filter_test
         U slapi_log_error
         U slapi_mod_init_byval
         U slapi_mod_new
         U slapi_mods_add_smod
         U slapi_mods_free
         U slapi_mods_get_ldapmods_byref
         U slapi_mods_new
         U slapi_new_rwlock
         U slapi_pblock_destroy
         U slapi_pblock_get
         U slapi_pblock_new
         U slapi_pblock_set
         U slapi_rdn_free
         U slapi_rdn_get_rdn
         U slapi_rdn_new_dn
         U slapi_rdn_new_sdn
         U slapi_register_plugin
         U slapi_rwlock_rdlock
         U slapi_rwlock_unlock
         U slapi_rwlock_wrlock
         U slapi_sdn_add_rdn
         U slapi_sdn_compare
         U slapi_sdn_dup
         U slapi_sdn_free
         U slapi_sdn_get_dn
         U slapi_sdn_get_ndn
         U slapi_sdn_get_parent
         U slapi_sdn_issuffix
         U slapi_sdn_new
         U slapi_sdn_new_dn_byref
         U slapi_sdn_new_dn_byval
         U slapi_sdn_new_dn_passin
         U slapi_sdn_new_ndn_byref
         U slapi_sdn_scope_test
         U slapi_sdn_set_dn_byref
         U slapi_sdn_set_dn_byval
         U slapi_search_internal_callback_pb
         U slapi_search_internal_set_pb
         U slapi_send_ldap_result
         U slapi_send_ldap_search_entry
         U slapi_str2entry
         U slapi_str2filter
         U slapi_value_free
         U slapi_value_get_berval
         U slapi_value_get_length
         U slapi_value_get_string
         U slapi_value_get_uint
         U slapi_value_new
         U slapi_value_set
         U slapi_value_set_berval
         U slapi_valueset_count
         U slapi_valueset_first_value
         U slapi_valueset_next_value
         U slapi_vattr_filter_test
         U slapi_vattr_value_compare
         U slapi_vattr_values_free
         U slapi_vattr_values_get


version ::
slapi-nis-0.40-1.el6.i686

Comment 8 errata-xmlrpc 2012-06-20 13:36:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0821.html


Note You need to log in before you can comment on or make changes to this bug.